org.wso2.carbon.governance.api.util

## Class GovernanceConstants

- java.lang.Object
- - org.wso2.carbon.governance.api.util.GovernanceConstants

-     public class GovernanceConstants
      extends Object

  Constants used by the governance API.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GovernanceConstants.ArtifactTypes`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AFFILIATIONS_ATTRIBUTE` The affiliations attribute of a people artifact.
    `static String` | `ARTIFACT_CONTENT_PATH`
    `static String` | `ARTIFACT_TYPE`
    `static String` | `CHECKPOINT` This is the character used in lifecycle checkpoint.
    `static String` | `CONSUMED_BY` Association type for services consumed by people
    `static String` | `CONSUMES` Association type for people consuming a service
    `static String` | `DEFAULT_NAMESPACE`
    `static String` | `DEFAULT_SERVICE_NAME`
    `static String` | `DEPENDS` Association type for dependencies.
    `static String` | `DOT` Deprecated.
    `static String` | `ENDPOINT_MEDIA_TYPE` Media type of a endpoint artifact.
    `static String` | `ENTRY_VALUE_SEPARATOR` This is the character used in configured governance artifact (service, people, sla, etc..) xml content to separate an entry name and a value
    `static String` | `GOVERNANCE_ARTIFACT_CONFIGURATION_MEDIA_TYPE` Media type of a artifact configuration file.
    `static String` | `GOVERNANCE_ARTIFACT_INDEX_PATH` The index path of the governance artifacts.
    `static String` | `IS_PART_OF` Association type for a sub-group of another group
    `static String` | `LAST_UPDATED_TIME` This is the character used in lifecycle checkpoint.
    `static String` | `LIFECYCLE_CHECKPOINT_ID` lifecycle checkpoint name QName.
    `static String` | `LIFECYCLE_DURATION` lifecycle checkpoint duration colour QName.
    `static String` | `LIFECYCLE_DURATION_COLOUR` lifecycle checkpoint duration colour QName.
    `static String` | `LIFECYCLE_HISTORY_PATH`
    `static String` | `LIFECYCLE_LOWER_BOUNDARY` lifecycle checkpoint boundary lower boundary QName.
    `static String` | `LIFECYCLE_PROPERTY_SEPERATOR` This is the character used in lifecycle property keys
    `static String` | `LIFECYCLE_UPPER_BOUNDARY` lifecycle checkpoint boundary upper boundary QName.
    `static String` | `NAME_ATTRIBUTE` The name attribute.
    `static String` | `OWNED_BY` Association type for people owning an artifact.
    `static String` | `OWNS` Association type for people owning an artifact.
    `static String` | `PEOPLE_ELEMENT_ROOT` The root element of the content of a People artifact.
    `static String` | `PEOPLE_GROUP_ATTRIBUTE` The group attribute of a people artifact.
    `static String` | `PEOPLE_GROUP_ATTRIBUTE_VALUE_DEPARTMENT` The group attribute value for department types.
    `static String` | `PEOPLE_GROUP_ATTRIBUTE_VALUE_ORGANIZATION` The group attribute value for organization types.
    `static String` | `PEOPLE_GROUP_ATTRIBUTE_VALUE_PERSON` The group attribute value for person types.
    `static String` | `PEOPLE_GROUP_ATTRIBUTE_VALUE_PROJECT_GROUP` The group attribute value for project group types.
    `static String` | `PEOPLE_MEDIA_TYPE` Media type of a consumer artifact
    `static String` | `PEOPLE_TYPE_ATTRIBUTE` The type attribute of a people artifact.
    `static String` | `PEOPLE_TYPE_ATTRIBUTE_VALUE_CONSUMER` The person's type attribute for a consumer type person.
    `static String` | `PEOPLE_TYPE_ATTRIBUTE_VALUE_INTERNAL` The person's type attribute for a internal type person.
    `static String` | `PEOPLE_TYPE_ATTRIBUTE_VALUE_PROVIDER` The person's type attribute for a provider type person.
    `static String` | `POLICY_XML_MEDIA_TYPE` Media type of a policy artifact.
    `static String` | `PRE_FETCH_TASK`
    `static String` | `PRE_FETCH_TASK_CLASS`
    `static String` | `PROCESS_BPEL_ATTRIBUTE` The BPEL attribute of the process artifact.
    `static String` | `PROCESS_MEDIA_TYPE` Media type of a process artifact.
    `static String` | `REGISTRY_ASPECTS_PROPERTY` Defines the registry aspects property
    `static String` | `REGISTRY_CUSTOM_LC_CHECKLIST_PROPERTY` Defines the prefix of the custom lifecycle checklist property
    `static String` | `REGISTRY_CUSTOM_LC_USER_PROPERTY` Defines the prefix of the custom lifecycle user property
    `static String` | `REGISTRY_CUSTOM_LC_VOTES_PROPERTY` Defines the prefix of the custom lifecycle votes property
    `static String` | `REGISTRY_IS_ENVIRONMENT_CHANGE` Defines the environment change of the resource in order to be used in creating notifications
    `static String` | `REGISTRY_LIFECYCLE` Defines the prefix of the state property
    `static String` | `REGISTRY_LIFECYCLE_NAME_PROPERTY` Defines the lifecycle name property
    `static String` | `RXT_CONFIG_CACHE_ID` The id of the cache that will be used sync RXT configurations
    `static String` | `RXT_CONFIGS_PATH`
    `static String` | `SCHEMA_MEDIA_TYPE` Media type of a schema artifact.
    `static String` | `SERVICE_ARTIFACT_KEY`
    `static String` | `SERVICE_CONSUMERS_ATTRIBUTE` The owner attribute of the service artifact.
    `static String` | `SERVICE_ELEMENT_NAMESPACE` The common namespace used by the service artifacts.
    `static String` | `SERVICE_ELEMENT_ROOT` The root element of the content of the service artifact.
    `static String` | `SERVICE_MEDIA_TYPE` Media type of a service artifact.
    `static String` | `SERVICE_NAME_ATTRIBUTE` The name attribute of the service artifact.
    `static String` | `SERVICE_NAMESPACE_ATTRIBUTE` The namespace attribute of the service artifact.
    `static String` | `SERVICE_OWNERS_ATTRIBUTE` The owner attribute of the service artifact.
    `static String` | `SERVICE_VERSION_ATTRIBUTE` Version of a service artifact.
    `static String` | `SERVICE_WSDL_ATTRIBUTE` The WSDL attribute of the service artifact.
    `static String` | `SLA_MEDIA_TYPE` Media type of a sla artifact.
    `static String` | `SUB_GROUP` Association type for a group having a sub-group
    `static String` | `TASK_CLASS`
    `static String` | `USED_BY` Association type of usages.
    `static String` | `VERSION_ATTRIBUTE` The version attribute.
    `static String` | `WSDL_MEDIA_TYPE` Media type of a WSDL artifact.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GovernanceConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEPENDS

          public static final String DEPENDS

      Association type for dependencies.
      See Also:
        Constant Field Values

    - #### USED_BY

          public static final String USED_BY

      Association type of usages.
      See Also:
        Constant Field Values

    - #### OWNS

          public static final String OWNS

      Association type for people owning an artifact.
      See Also:
        Constant Field Values

    - #### OWNED_BY

          public static final String OWNED_BY

      Association type for people owning an artifact.
      See Also:
        Constant Field Values

    - #### CONSUMES

          public static final String CONSUMES

      Association type for people consuming a service
      See Also:
        Constant Field Values

    - #### CONSUMED_BY

          public static final String CONSUMED_BY

      Association type for services consumed by people
      See Also:
        Constant Field Values

    - #### IS_PART_OF

          public static final String IS_PART_OF

      Association type for a sub-group of another group
      See Also:
        Constant Field Values

    - #### SUB_GROUP

          public static final String SUB_GROUP

      Association type for a group having a sub-group
      See Also:
        Constant Field Values

    - #### RXT_CONFIG_CACHE_ID

          public static final String RXT_CONFIG_CACHE_ID

      The id of the cache that will be used sync RXT configurations
      See Also:
        Constant Field Values

    - #### SERVICE_ARTIFACT_KEY

          public static final String SERVICE_ARTIFACT_KEY

      See Also:
        Constant Field Values

    - #### ENTRY_VALUE_SEPARATOR

          public static final String ENTRY_VALUE_SEPARATOR

      This is the character used in configured governance artifact (service, people, sla, etc..) xml content to separate an entry name and a value
      See Also:
        Constant Field Values

    - #### DOT

          @Deprecated
          public static final String DOT

      Deprecated.
      See Also:
        Constant Field Values

    - #### LIFECYCLE_PROPERTY_SEPERATOR

          public static final String LIFECYCLE_PROPERTY_SEPERATOR

      This is the character used in lifecycle property keys
      See Also:
        Constant Field Values

    - #### GOVERNANCE_ARTIFACT_INDEX_PATH

          public static final String GOVERNANCE_ARTIFACT_INDEX_PATH

      The index path of the governance artifacts.
      See Also:
        Constant Field Values

    - #### GOVERNANCE_ARTIFACT_CONFIGURATION_MEDIA_TYPE

          public static final String GOVERNANCE_ARTIFACT_CONFIGURATION_MEDIA_TYPE

      Media type of a artifact configuration file.
      See Also:
        Constant Field Values

    - #### POLICY_XML_MEDIA_TYPE

          public static final String POLICY_XML_MEDIA_TYPE

      Media type of a policy artifact.
      See Also:
        Constant Field Values

    - #### WSDL_MEDIA_TYPE

          public static final String WSDL_MEDIA_TYPE

      Media type of a WSDL artifact.
      See Also:
        Constant Field Values

    - #### PROCESS_MEDIA_TYPE

          public static final String PROCESS_MEDIA_TYPE

      Media type of a process artifact.
      See Also:
        Constant Field Values

    - #### SLA_MEDIA_TYPE

          public static final String SLA_MEDIA_TYPE

      Media type of a sla artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_MEDIA_TYPE

          public static final String SERVICE_MEDIA_TYPE

      Media type of a service artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_VERSION_ATTRIBUTE

          public static final String SERVICE_VERSION_ATTRIBUTE

      Version of a service artifact.
      See Also:
        Constant Field Values

    - #### PEOPLE_MEDIA_TYPE

          public static final String PEOPLE_MEDIA_TYPE

      Media type of a consumer artifact
      See Also:
        Constant Field Values

    - #### ENDPOINT_MEDIA_TYPE

          public static final String ENDPOINT_MEDIA_TYPE

      Media type of a endpoint artifact.
      See Also:
        Constant Field Values

    - #### SCHEMA_MEDIA_TYPE

          public static final String SCHEMA_MEDIA_TYPE

      Media type of a schema artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_ELEMENT_ROOT

          public static final String SERVICE_ELEMENT_ROOT

      The root element of the content of the service artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_NAME_ATTRIBUTE

          public static final String SERVICE_NAME_ATTRIBUTE

      The name attribute of the service artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_ELEMENT_NAMESPACE

          public static final String SERVICE_ELEMENT_NAMESPACE

      The common namespace used by the service artifacts.
      See Also:
        Constant Field Values

    - #### SERVICE_NAMESPACE_ATTRIBUTE

          public static final String SERVICE_NAMESPACE_ATTRIBUTE

      The namespace attribute of the service artifact. This is the namespace of the particular service.
      See Also:
        Constant Field Values

    - #### SERVICE_WSDL_ATTRIBUTE

          public static final String SERVICE_WSDL_ATTRIBUTE

      The WSDL attribute of the service artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_OWNERS_ATTRIBUTE

          public static final String SERVICE_OWNERS_ATTRIBUTE

      The owner attribute of the service artifact.
      See Also:
        Constant Field Values

    - #### SERVICE_CONSUMERS_ATTRIBUTE

          public static final String SERVICE_CONSUMERS_ATTRIBUTE

      The owner attribute of the service artifact.
      See Also:
        Constant Field Values

    - #### PROCESS_BPEL_ATTRIBUTE

          public static final String PROCESS_BPEL_ATTRIBUTE

      The BPEL attribute of the process artifact.
      See Also:
        Constant Field Values

    - #### PEOPLE_ELEMENT_ROOT

          public static final String PEOPLE_ELEMENT_ROOT

      The root element of the content of a People artifact.
      See Also:
        Constant Field Values

    - #### PEOPLE_GROUP_ATTRIBUTE

          public static final String PEOPLE_GROUP_ATTRIBUTE

      The group attribute of a people artifact.
      See Also:
        Constant Field Values

    - #### PEOPLE_TYPE_ATTRIBUTE

          public static final String PEOPLE_TYPE_ATTRIBUTE

      The type attribute of a people artifact.
      See Also:
        Constant Field Values

    - #### AFFILIATIONS_ATTRIBUTE

          public static final String AFFILIATIONS_ATTRIBUTE

      The affiliations attribute of a people artifact. (applicable to project groups and persons)
      See Also:
        Constant Field Values

    - #### PEOPLE_GROUP_ATTRIBUTE_VALUE_PERSON

          public static final String PEOPLE_GROUP_ATTRIBUTE_VALUE_PERSON

      The group attribute value for person types.
      See Also:
        Constant Field Values

    - #### PEOPLE_GROUP_ATTRIBUTE_VALUE_ORGANIZATION

          public static final String PEOPLE_GROUP_ATTRIBUTE_VALUE_ORGANIZATION

      The group attribute value for organization types.
      See Also:
        Constant Field Values

    - #### PEOPLE_GROUP_ATTRIBUTE_VALUE_DEPARTMENT

          public static final String PEOPLE_GROUP_ATTRIBUTE_VALUE_DEPARTMENT

      The group attribute value for department types.
      See Also:
        Constant Field Values

    - #### PEOPLE_GROUP_ATTRIBUTE_VALUE_PROJECT_GROUP

          public static final String PEOPLE_GROUP_ATTRIBUTE_VALUE_PROJECT_GROUP

      The group attribute value for project group types.
      See Also:
        Constant Field Values

    - #### PEOPLE_TYPE_ATTRIBUTE_VALUE_CONSUMER

          public static final String PEOPLE_TYPE_ATTRIBUTE_VALUE_CONSUMER

      The person's type attribute for a consumer type person.
      See Also:
        Constant Field Values

    - #### PEOPLE_TYPE_ATTRIBUTE_VALUE_INTERNAL

          public static final String PEOPLE_TYPE_ATTRIBUTE_VALUE_INTERNAL

      The person's type attribute for a internal type person.
      See Also:
        Constant Field Values

    - #### PEOPLE_TYPE_ATTRIBUTE_VALUE_PROVIDER

          public static final String PEOPLE_TYPE_ATTRIBUTE_VALUE_PROVIDER

      The person's type attribute for a provider type person.
      See Also:
        Constant Field Values

    - #### ARTIFACT_CONTENT_PATH

          public static final String ARTIFACT_CONTENT_PATH

      See Also:
        Constant Field Values

    - #### RXT_CONFIGS_PATH

          public static final String RXT_CONFIGS_PATH

      See Also:
        Constant Field Values

    - #### REGISTRY_IS_ENVIRONMENT_CHANGE

          public static final String REGISTRY_IS_ENVIRONMENT_CHANGE

      Defines the environment change of the resource in order to be used in creating notifications
      See Also:
        Constant Field Values

    - #### DEFAULT_SERVICE_NAME

          public static final String DEFAULT_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_NAMESPACE

          public static final String DEFAULT_NAMESPACE

      See Also:
        Constant Field Values

    - #### PRE_FETCH_TASK

          public static final String PRE_FETCH_TASK

      See Also:
        Constant Field Values

    - #### PRE_FETCH_TASK_CLASS

          public static final String PRE_FETCH_TASK_CLASS

      See Also:
        Constant Field Values

    - #### TASK_CLASS

          public static final String TASK_CLASS

      See Also:
        Constant Field Values

    - #### ARTIFACT_TYPE

          public static final String ARTIFACT_TYPE

      See Also:
        Constant Field Values

    - #### NAME_ATTRIBUTE

          public static final String NAME_ATTRIBUTE

      The name attribute.
      See Also:
        Constant Field Values

    - #### VERSION_ATTRIBUTE

          public static final String VERSION_ATTRIBUTE

      The version attribute.
      See Also:
        Constant Field Values

    - #### LIFECYCLE_HISTORY_PATH

          public static final String LIFECYCLE_HISTORY_PATH

      See Also:
        Constant Field Values

    - #### REGISTRY_LIFECYCLE

          public static final String REGISTRY_LIFECYCLE

      Defines the prefix of the state property
      See Also:
        Constant Field Values

    - #### REGISTRY_LIFECYCLE_NAME_PROPERTY

          public static final String REGISTRY_LIFECYCLE_NAME_PROPERTY

      Defines the lifecycle name property
      See Also:
        Constant Field Values

    - #### REGISTRY_ASPECTS_PROPERTY

          public static final String REGISTRY_ASPECTS_PROPERTY

      Defines the registry aspects property
      See Also:
        Constant Field Values

    - #### REGISTRY_CUSTOM_LC_VOTES_PROPERTY

          public static final String REGISTRY_CUSTOM_LC_VOTES_PROPERTY

      Defines the prefix of the custom lifecycle votes property
      See Also:
        Constant Field Values

    - #### REGISTRY_CUSTOM_LC_USER_PROPERTY

          public static final String REGISTRY_CUSTOM_LC_USER_PROPERTY

      Defines the prefix of the custom lifecycle user property
      See Also:
        Constant Field Values

    - #### REGISTRY_CUSTOM_LC_CHECKLIST_PROPERTY

          public static final String REGISTRY_CUSTOM_LC_CHECKLIST_PROPERTY

      Defines the prefix of the custom lifecycle checklist property
      See Also:
        Constant Field Values

    - #### LIFECYCLE_LOWER_BOUNDARY

          public static final String LIFECYCLE_LOWER_BOUNDARY

      lifecycle checkpoint boundary lower boundary QName.
      See Also:
        Constant Field Values

    - #### LIFECYCLE_UPPER_BOUNDARY

          public static final String LIFECYCLE_UPPER_BOUNDARY

      lifecycle checkpoint boundary upper boundary QName.
      See Also:
        Constant Field Values

    - #### LIFECYCLE_DURATION_COLOUR

          public static final String LIFECYCLE_DURATION_COLOUR

      lifecycle checkpoint duration colour QName.
      See Also:
        Constant Field Values

    - #### LIFECYCLE_DURATION

          public static final String LIFECYCLE_DURATION

      lifecycle checkpoint duration colour QName.
      See Also:
        Constant Field Values

    - #### LIFECYCLE_CHECKPOINT_ID

          public static final String LIFECYCLE_CHECKPOINT_ID

      lifecycle checkpoint name QName.
      See Also:
        Constant Field Values

    - #### CHECKPOINT

          public static final String CHECKPOINT

      This is the character used in lifecycle checkpoint.
      See Also:
        Constant Field Values

    - #### LAST_UPDATED_TIME

          public static final String LAST_UPDATED_TIME

      This is the character used in lifecycle checkpoint.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GovernanceConstants

          public GovernanceConstants()

Copyright © 2017 WSO2. All rights reserved.